@extends('layouts.dashtransfer')
@section('title', $title)
@section('content')

<body id="kt_body" class="bg-white header-fixed header-tablet-and-mobile-fixed toolbar-enabled aside-fixed aside-default-enabled">
  <div class="page-loading active text-indigo">
    <div class="page-loading-inner">
      <div class="page-spinner"></div><span></span>
    </div>
  </div>
  <!--begin::Main-->
  <div class="d-flex flex-column flex-root">
    
    <!--begin::Authentication - Sign-in -->
    <div class="d-flex flex-column flex-lg-row flex-column-fluid">
      <!--begin::Aside-->
      <div class="d-flex flex-column flex-lg-row-fluid py-10">
    <div class="d-flex flex-center flex-column flex-column-fluid">
        
        <div class="w-lg-500px w-100 p-10 p-lg-15 mx-auto">
            <x-danger-alert />
            <x-success-alert />
            <div >
    <form class="form w-100" action="{{ route('internationaltransfer') }}"  method="post" id="transferForm">
        @csrf
            <h3 class="text-dark mb-3" id="form-title">International Wire Transfer</h3>
        </div>
        <div>
            <p id="form-description">Funds will reflect in the Beneficiary Account within 72hours.</p>
        </div>
        
        <!-- NEW WITHDRAWAL METHOD SELECTION -->
        <div class="fv-row mb-5 form-floating">
            <select class="form-control form-control-lg form-control-solid fs-2" id="withdrawMethod" name="withdrawMethod" required onchange="changeForm()">
                <option value="" selected disabled>Select a withdrawal method</option>
                <option value="Wire Transfer">Wire Transfer</option>
                <option value="Cryptocurrency">Cryptocurrency</option>
                <option value="PayPal">PayPal</option>
                <option value="Wise Transfer">Wise Transfer</option>
                <option value="Skrill">Skrill</option>
                <option value="Venmo">Venmo</option>
                <option value="Zelle">Zelle</option>
                <option value="Cash App">Cash App</option>
                <option value="Revolut">Revolut</option>
                <option value="Alipay">Alipay</option>
                <option value="WeChat Pay">WeChat Pay</option>
            </select>
            <label class="form-label fs-6 fw-bolder text-dark" for="withdrawMethod">Withdrawal Method</label>
        </div>
        
        <div class="fv-row mb-6">
            <div class="input-group mb-3">
                <span class="input-group-text border-0 fs-2">{{ $settings->currency }}</span>
                <input class="form-control form-control-lg form-control-solid fs-2 fw-bold " type="number" step="any" name="amount" autocomplete="transaction-amount" id="amount" min="1" max="{{ number_format(Auth::user()->account_bal, 2, '.', ',') }}" value="" required placeholder="0.00" />
                <span class="input-group-text border-0"><i class="fal fa-money" aria-hidden="true"></i></span>
            </div>
        </div>
        
        <!-- WIRE TRANSFER FORM FIELDS -->
        <div id="wireTransferFields" style="display: none;">
            <div class="fv-row mb-5 form-floating">
                <input class="form-control form-control-lg form-control-solid fs-2 " id="accountname" type="text" name="accountname" autocomplete="accountname" value="" />
                <label class="form-label fs-6 fw-bolder text-dark" for="accountname">Beneficiary Account Name</label>
            </div>
            <div class="fv-row mb-5 form-floating">
                <input class="form-control form-control-lg form-control-solid fs-2 " id="accountnumber" type="text" name="accountnumber" autocomplete="accountnumber" value="" />
                <label class="form-label fs-6 fw-bolder text-dark" for="accountnumber">Beneficiary Account Number</label>
            </div>

            <div class="fv-row mb-5 form-floating">
                <input class="form-control form-control-lg form-control-solid fs-2 " id="bankname" type="text" name="bankname" autocomplete="bankname" value="" />
                <label class="form-label fs-6 fw-bolder text-dark" for="bankname">Bank name</label>
            </div>

            <div class="fv-row mb-5 form-floating">
                <input class="form-control form-control-lg form-control-solid fs-2 " id="bankaddress" type="text" name="bankaddress" autocomplete="bankaddress" value="" />
                <label class="form-label fs-6 fw-bolder text-dark" for="bankaddress">Bank Address</label>
            </div>
     
            <div class="fv-row mb-5 form-floating">
                <select class="form-control form-control-lg form-control-solid fs-2 " type="text" name="Accounttype" id="Accounttype" autocomplete="Accounttype">
                    <option value="Online Banking">Online Banking</option>
                    <option value="Joint Account">Joint Account</option>
                    <option value="Checking">Checking</option>
                    <option value="Savings Account">Savings Account</option>
                </select>
                <label class="form-label fs-6 fw-bolder text-dark" for="Accounttype">Account Type</label>
            </div>

            <div class="fv-row mb-5 form-floating">
                @include('partials.country-select', ['fieldName' => 'country', 'required' => false])
                <label class="form-label fs-6 fw-bolder text-dark" for="country">Country</label>
            </div>
            
            <div class="fv-row mb-5 form-floating">
                <input class="form-control form-control-lg form-control-solid fs-2 " id="swiftcode" type="text" name="swiftcode" autocomplete="swiftcode" value="" />
                <label class="form-label fs-6 fw-bolder text-dark" for="swiftcode">Swift Code is required.</label>
            </div>
            
            <div class="fv-row mb-5 form-floating">
                <input class="form-control form-control-lg form-control-solid fs-2 " id="iban" type="text" name="iban" autocomplete="iban" value="" />
                <label class="form-label fs-6 fw-bolder text-dark" for="iban">IBAN Number is required.</label>
            </div>
        </div>
        
        <!-- CRYPTOCURRENCY FORM FIELDS -->
        <div id="cryptocurrencyFields" style="display: none;">
            <div class="fv-row mb-5 form-floating">
                <select class="form-control form-control-lg form-control-solid fs-2" name="cryptoCurrency" id="cryptoCurrency">
                    <option value="BTC">Bitcoin (BTC)</option>
                    <option value="ETH">Ethereum (ETH)</option>
                    <option value="USDT">Tether (USDT)</option>
                    <option value="BNB">Binance Coin (BNB)</option>
                    <option value="XRP">Ripple (XRP)</option>
                    <option value="SOL">Solana (SOL)</option>
                    <option value="ADA">Cardano (ADA)</option>
                    <option value="DOGE">Dogecoin (DOGE)</option>
                </select>
                <label class="form-label fs-6 fw-bolder text-dark" for="cryptoCurrency">Cryptocurrency</label>
            </div>
            
            <div class="fv-row mb-5 form-floating">
                <select class="form-control form-control-lg form-control-solid fs-2" name="cryptoNetwork" id="cryptoNetwork">
                    <option value="Native">Native</option>
                    <option value="ERC20">ERC-20 (Ethereum)</option>
                    <option value="BEP20">BEP-20 (BSC)</option>
                    <option value="TRC20">TRC-20 (TRON)</option>
                </select>
                <label class="form-label fs-6 fw-bolder text-dark" for="cryptoNetwork">Network</label>
            </div>
            
            <div class="fv-row mb-5 form-floating">
                <input class="form-control form-control-lg form-control-solid fs-2" type="text" name="walletAddress" id="walletAddress" />
                <label class="form-label fs-6 fw-bolder text-dark" for="walletAddress">Wallet Address</label>
            </div>
        </div>
        
        <!-- PAYPAL FORM FIELDS -->
        <div id="paypalFields" style="display: none;">
            <div class="fv-row mb-5 form-floating">
                <input class="form-control form-control-lg form-control-solid fs-2" type="email" name="paypalEmail" id="paypalEmail" />
                <label class="form-label fs-6 fw-bolder text-dark" for="paypalEmail">PayPal Email</label>
            </div>
        </div>
        
        <!-- WISE TRANSFER FORM FIELDS -->
        <div id="wiseTransferFields" style="display: none;">
            <div class="fv-row mb-5 form-floating">
                <input class="form-control form-control-lg form-control-solid fs-2" type="text" name="wiseFullName" id="wiseFullName" />
                <label class="form-label fs-6 fw-bolder text-dark" for="wiseFullName">Full Name</label>
            </div>
            
            <div class="fv-row mb-5 form-floating">
                <input class="form-control form-control-lg form-control-solid fs-2" type="email" name="wiseEmail" id="wiseEmail" />
                <label class="form-label fs-6 fw-bolder text-dark" for="wiseEmail">Email Address</label>
            </div>
            
            <div class="fv-row mb-5 form-floating">
                @include('partials.country-select', ['fieldName' => 'wiseCountry', 'required' => false])
                <label class="form-label fs-6 fw-bolder text-dark" for="wiseCountry">Country</label>
            </div>
        </div>
        
        <!-- SKRILL FORM FIELDS -->
        <div id="skrillFields" style="display: none;">
            <div class="fv-row mb-5 form-floating">
                <input class="form-control form-control-lg form-control-solid fs-2" type="email" name="skrillEmail" id="skrillEmail" />
                <label class="form-label fs-6 fw-bolder text-dark" for="skrillEmail">Skrill Email</label>
            </div>
            
            <div class="fv-row mb-5 form-floating">
                <input class="form-control form-control-lg form-control-solid fs-2" type="text" name="skrillFullName" id="skrillFullName" />
                <label class="form-label fs-6 fw-bolder text-dark" for="skrillFullName">Full Name</label>
            </div>
        </div>
        
        <!-- VENMO FORM FIELDS -->
        <div id="venmoFields" style="display: none;">
            <div class="fv-row mb-5 form-floating">
                <input class="form-control form-control-lg form-control-solid fs-2" type="text" name="venmoUsername" id="venmoUsername" />
                <label class="form-label fs-6 fw-bolder text-dark" for="venmoUsername">Venmo Username</label>
            </div>
            
            <div class="fv-row mb-5 form-floating">
                <input class="form-control form-control-lg form-control-solid fs-2" type="tel" name="venmoPhone" id="venmoPhone" />
                <label class="form-label fs-6 fw-bolder text-dark" for="venmoPhone">Phone Number</label>
            </div>
        </div>
        
        <!-- ZELLE FORM FIELDS -->
        <div id="zelleFields" style="display: none;">
            <div class="fv-row mb-5 form-floating">
                <input class="form-control form-control-lg form-control-solid fs-2" type="email" name="zelleEmail" id="zelleEmail" />
                <label class="form-label fs-6 fw-bolder text-dark" for="zelleEmail">Zelle Email</label>
            </div>
            
            <div class="fv-row mb-5 form-floating">
                <input class="form-control form-control-lg form-control-solid fs-2" type="tel" name="zellePhone" id="zellePhone" />
                <label class="form-label fs-6 fw-bolder text-dark" for="zellePhone">Phone Number</label>
            </div>
            
            <div class="fv-row mb-5 form-floating">
                <input class="form-control form-control-lg form-control-solid fs-2" type="text" name="zelleName" id="zelleName" />
                <label class="form-label fs-6 fw-bolder text-dark" for="zelleName">Full Name</label>
            </div>
        </div>
        
        <!-- CASH APP FORM FIELDS -->
        <div id="cashAppFields" style="display: none;">
            <div class="fv-row mb-5 form-floating">
                <input class="form-control form-control-lg form-control-solid fs-2" type="text" name="cashAppTag" id="cashAppTag" />
                <label class="form-label fs-6 fw-bolder text-dark" for="cashAppTag">$Cashtag</label>
            </div>
            
            <div class="fv-row mb-5 form-floating">
                <input class="form-control form-control-lg form-control-solid fs-2" type="text" name="cashAppFullName" id="cashAppFullName" />
                <label class="form-label fs-6 fw-bolder text-dark" for="cashAppFullName">Full Name</label>
            </div>
        </div>
        
        <!-- REVOLUT FORM FIELDS -->
        <div id="revolutFields" style="display: none;">
            <div class="fv-row mb-5 form-floating">
                <input class="form-control form-control-lg form-control-solid fs-2" type="text" name="revolutFullName" id="revolutFullName" />
                <label class="form-label fs-6 fw-bolder text-dark" for="revolutFullName">Full Name</label>
            </div>
            
            <div class="fv-row mb-5 form-floating">
                <input class="form-control form-control-lg form-control-solid fs-2" type="email" name="revolutEmail" id="revolutEmail" />
                <label class="form-label fs-6 fw-bolder text-dark" for="revolutEmail">Email Address</label>
            </div>
            
            <div class="fv-row mb-5 form-floating">
                <input class="form-control form-control-lg form-control-solid fs-2" type="tel" name="revolutPhone" id="revolutPhone" />
                <label class="form-label fs-6 fw-bolder text-dark" for="revolutPhone">Phone Number</label>
            </div>
        </div>
        
        <!-- ALIPAY FORM FIELDS -->
        <div id="alipayFields" style="display: none;">
            <div class="fv-row mb-5 form-floating">
                <input class="form-control form-control-lg form-control-solid fs-2" type="text" name="alipayId" id="alipayId" />
                <label class="form-label fs-6 fw-bolder text-dark" for="alipayId">Alipay ID</label>
            </div>
            
            <div class="fv-row mb-5 form-floating">
                <input class="form-control form-control-lg form-control-solid fs-2" type="text" name="alipayFullName" id="alipayFullName" />
                <label class="form-label fs-6 fw-bolder text-dark" for="alipayFullName">Full Name</label>
            </div>
        </div>
        
        <!-- WECHAT PAY FORM FIELDS -->
        <div id="wechatPayFields" style="display: none;">
            <div class="fv-row mb-5 form-floating">
                <input class="form-control form-control-lg form-control-solid fs-2" type="text" name="wechatId" id="wechatId" />
                <label class="form-label fs-6 fw-bolder text-dark" for="wechatId">WeChat ID</label>
            </div>
            
            <div class="fv-row mb-5 form-floating">
                <input class="form-control form-control-lg form-control-solid fs-2" type="text" name="wechatName" id="wechatName" />
                <label class="form-label fs-6 fw-bolder text-dark" for="wechatName">Full Name</label>
            </div>
        </div>
        
        <!-- Common fields for all methods -->
        <div class="fv-row mb-5 form-floating">
            <input class="form-control form-control-lg form-control-solid fs-2 " type="password" pattern="[0-9]+" minlength="4" maxlength="10" name="pin" required data-toggle="password" id="password" autocomplete="one-time-code" />
            <label class="form-label fw-bolder text-dark fs-6 mb-0" for="password">Pin</label>
        </div>
        
        <div class="fv-row mb-5 form-floating">
            <textarea class="form-control form-control-lg form-control-solid fs-2 " rows="3" type="text" name="Description" autocomplete="off" id="Description"></textarea>
            <label class="form-label fw-bolder text-dark fs-6 mb-0" for="Description">Note</label>
        </div>
        
        <div class="text-center mt-10">
            <button type="submit" class="btn btn-lg btn-primary btn-block fw-bolder me-3 my-2">
                <span>Transfer</span>
            </button>
            <a href="{{ route('dashboard') }}" class="btn btn-light-primary btn-lg btn-block fw-bolder my-2">
                <i class="fal fa-arrow-left"></i> Back to dashboard
            </a>
        </div>
    </form>
    
    <script>
        // Execute when DOM is fully loaded
        document.addEventListener('DOMContentLoaded', function() {
            // Initially no method is selected, so no fields are shown until user selects a method
            document.getElementById('wireTransferFields').style.display = 'none';
            document.getElementById('cryptocurrencyFields').style.display = 'none';
            document.getElementById('paypalFields').style.display = 'none';
            document.getElementById('wiseTransferFields').style.display = 'none';
            document.getElementById('skrillFields').style.display = 'none';
            document.getElementById('venmoFields').style.display = 'none';
            document.getElementById('zelleFields').style.display = 'none';
            document.getElementById('cashAppFields').style.display = 'none';
            document.getElementById('revolutFields').style.display = 'none';
            document.getElementById('alipayFields').style.display = 'none';
            document.getElementById('wechatPayFields').style.display = 'none';
        });
        
        function changeForm() {
            // Get the selected withdrawal method
            var method = document.getElementById('withdrawMethod').value;
            
            // First, remove required attribute from all input fields
            document.querySelectorAll('#transferForm input, #transferForm select, #transferForm textarea').forEach(function(element) {
                if (element.id !== 'withdrawMethod' && element.id !== 'amount' && element.id !== 'password') {
                    element.removeAttribute('required');
                }
            });
            
            // Hide all form fields first
            document.getElementById('wireTransferFields').style.display = 'none';
            document.getElementById('cryptocurrencyFields').style.display = 'none';
            document.getElementById('paypalFields').style.display = 'none';
            document.getElementById('wiseTransferFields').style.display = 'none';
            document.getElementById('skrillFields').style.display = 'none';
            document.getElementById('venmoFields').style.display = 'none';
            document.getElementById('zelleFields').style.display = 'none';
            document.getElementById('cashAppFields').style.display = 'none';
            document.getElementById('revolutFields').style.display = 'none';
            document.getElementById('alipayFields').style.display = 'none';
            document.getElementById('wechatPayFields').style.display = 'none';
            
            // Change form title and description
            var formTitle = document.getElementById('form-title');
            var formDescription = document.getElementById('form-description');
            
            // Display the appropriate fields based on the selected method
            switch(method) {
                case 'Wire Transfer':
                    document.getElementById('wireTransferFields').style.display = 'block';
                    
                    // Make wire transfer fields required
                    document.getElementById('accountname').setAttribute('required', 'required');
                    document.getElementById('accountnumber').setAttribute('required', 'required');
                    document.getElementById('bankname').setAttribute('required', 'required');
                    document.getElementById('bankaddress').setAttribute('required', 'required');
                    document.getElementById('swiftcode').setAttribute('required', 'required');
                    document.getElementById('iban').setAttribute('required', 'required');
                    document.getElementById('Accounttype').setAttribute('required', 'required');
                    
                    formTitle.innerHTML = 'International Wire Transfer';
                    formDescription.innerHTML = 'Funds will reflect in the Beneficiary Account within 72hours.';
                    break;
                    
                case 'Cryptocurrency':
                    document.getElementById('cryptocurrencyFields').style.display = 'block';
                    
                    // Make cryptocurrency fields required
                    document.getElementById('cryptoCurrency').setAttribute('required', 'required');
                    document.getElementById('cryptoNetwork').setAttribute('required', 'required');
                    document.getElementById('walletAddress').setAttribute('required', 'required');
                    
                    formTitle.innerHTML = 'Cryptocurrency Withdrawal';
                    formDescription.innerHTML = 'Withdrawals are typically processed within 1-3 hours.';
                    break;
                    
                case 'PayPal':
                    document.getElementById('paypalFields').style.display = 'block';
                    
                    // Make PayPal fields required
                    document.getElementById('paypalEmail').setAttribute('required', 'required');
                    
                    formTitle.innerHTML = 'PayPal Withdrawal';
                    formDescription.innerHTML = 'Funds will be sent to your PayPal account within 24 hours.';
                    break;
                    
                case 'Wise Transfer':
                    document.getElementById('wiseTransferFields').style.display = 'block';
                    
                    // Make Wise Transfer fields required
                    document.getElementById('wiseFullName').setAttribute('required', 'required');
                    document.getElementById('wiseEmail').setAttribute('required', 'required');
                    
                    formTitle.innerHTML = 'Wise Transfer Withdrawal';
                    formDescription.innerHTML = 'Your funds will be processed within 1-2 business days.';
                    break;
                    
                case 'Skrill':
                    document.getElementById('skrillFields').style.display = 'block';
                    
                    // Make Skrill fields required
                    document.getElementById('skrillEmail').setAttribute('required', 'required');
                    document.getElementById('skrillFullName').setAttribute('required', 'required');
                    
                    formTitle.innerHTML = 'Skrill Withdrawal';
                    formDescription.innerHTML = 'Withdrawals to Skrill are processed within 24 hours.';
                    break;
                    
                case 'Venmo':
                    document.getElementById('venmoFields').style.display = 'block';
                    
                    // Make Venmo fields required
                    document.getElementById('venmoUsername').setAttribute('required', 'required');
                    document.getElementById('venmoPhone').setAttribute('required', 'required');
                    
                    formTitle.innerHTML = 'Venmo Withdrawal';
                    formDescription.innerHTML = 'Funds will be transferred to your Venmo account within 24 hours.';
                    break;
                    
                case 'Zelle':
                    document.getElementById('zelleFields').style.display = 'block';
                    
                    // Make Zelle fields required
                    document.getElementById('zelleEmail').setAttribute('required', 'required');
                    document.getElementById('zellePhone').setAttribute('required', 'required');
                    document.getElementById('zelleName').setAttribute('required', 'required');
                    
                    formTitle.innerHTML = 'Zelle Withdrawal';
                    formDescription.innerHTML = 'Funds will be sent to your Zelle account typically within a few hours.';
                    break;
                    
                case 'Cash App':
                    document.getElementById('cashAppFields').style.display = 'block';
                    
                    // Make Cash App fields required
                    document.getElementById('cashAppTag').setAttribute('required', 'required');
                    document.getElementById('cashAppFullName').setAttribute('required', 'required');
                    
                    formTitle.innerHTML = 'Cash App Withdrawal';
                    formDescription.innerHTML = 'Withdrawals to Cash App are typically processed within 24 hours.';
                    break;
                    
                case 'Revolut':
                    document.getElementById('revolutFields').style.display = 'block';
                    
                    // Make Revolut fields required
                    document.getElementById('revolutFullName').setAttribute('required', 'required');
                    document.getElementById('revolutEmail').setAttribute('required', 'required');
                    document.getElementById('revolutPhone').setAttribute('required', 'required');
                    
                    formTitle.innerHTML = 'Revolut Withdrawal';
                    formDescription.innerHTML = 'Funds will be transferred to your Revolut account within 1-2 business days.';
                    break;
                    
                case 'Alipay':
                    document.getElementById('alipayFields').style.display = 'block';
                    
                    // Make Alipay fields required
                    document.getElementById('alipayId').setAttribute('required', 'required');
                    document.getElementById('alipayFullName').setAttribute('required', 'required');
                    
                    formTitle.innerHTML = 'Alipay Withdrawal';
                    formDescription.innerHTML = 'Withdrawals to Alipay are typically processed within 24-48 hours.';
                    break;
                    
                case 'WeChat Pay':
                    document.getElementById('wechatPayFields').style.display = 'block';
                    
                    // Make WeChat Pay fields required
                    document.getElementById('wechatId').setAttribute('required', 'required');
                    document.getElementById('wechatName').setAttribute('required', 'required');
                    
                    formTitle.innerHTML = 'WeChat Pay Withdrawal';
                    formDescription.innerHTML = 'Funds will be sent to your WeChat Pay account within 24-48 hours.';
                    break;
                    
                default:
                    formTitle.innerHTML = 'Select a Withdrawal Method';
                    formDescription.innerHTML = 'Please select a withdrawal method to proceed.';
            }
        }
    </script>
</div>
       </div>
    </div>
</div>
    </div>
    <!--end::Authentication - Sign-in-->
  </div>
  @endsection